## org.apache.axis.ime.internal.util
Class NonPersistentKeyedBuffer.KeyedQueue

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.util.NonPersistentKeyedBuffer.KeyedQueue

Enclosing class:
  NonPersistentKeyedBuffer

protected static class NonPersistentKeyedBuffer.KeyedQueue
extends java.lang.Object

Field Summary
`protected NonPersistentKeyedBuffer.KeyedNode` `head`
`protected NonPersistentKeyedBuffer.KeyedNode` `last`

Constructor Summary
`protected` `NonPersistentKeyedBuffer.KeyedQueue()`

Method Summary
`protected java.util.Iterator` `iterator()`
`protected NonPersistentKeyedBuffer.KeyedNode` `peek()`
`protected void` `put(NonPersistentKeyedBuffer.KeyedNode node)`
`protected NonPersistentKeyedBuffer.KeyedNode` `select()`
`protected NonPersistentKeyedBuffer.KeyedNode` `select(java.lang.Object key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### head

    protected NonPersistentKeyedBuffer.KeyedNode head

### last

    protected NonPersistentKeyedBuffer.KeyedNode last

Constructor Detail

### NonPersistentKeyedBuffer.KeyedQueue

    protected NonPersistentKeyedBuffer.KeyedQueue()

Method Detail

### put

    protected void put(NonPersistentKeyedBuffer.KeyedNode node)

### select

    protected NonPersistentKeyedBuffer.KeyedNode select()

### select

    protected NonPersistentKeyedBuffer.KeyedNode select(java.lang.Object key)

### peek

    protected NonPersistentKeyedBuffer.KeyedNode peek()

### iterator

    protected java.util.Iterator iterator()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.